use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct Notes {
    pub steps: Vec<Step>,
}

#[derive(Debug, Deserialize)]
pub struct Step {
    pub stage: u16,
    pub areas: Vec<Area>,
}

#[derive(Debug, Deserialize, Clone)]
pub struct Area {
    pub area: u16,
    pub steps: String,
}
